ERROR while compiling or upload.

I have a problem while compiling or upload a code, I get a error (see picture).
I try to use this code (check the video description). It’s the MEGA code.

I have the Arduino Mega 2560 R3 and version 1.0.5 on the Arduino program.

Please note that this is my first arduino and haven’t made the code or any other code my self.

Willmer:
I have a problem while compiling or upload a code, I get a error (see picture).

When you want to post an error message to the forum do it by copying and pasting the text using code tags(</> button on the toolbar), not a screen shot.

Willmer:
I try to use this code (check the video description). It’s the MEGA code.
https://youtu.be/EpjE8b2j-mw

Why not post a link directly to the code instead of making us click through 3 different pages to get to it:

Willmer:
https://youtu.be/EpjE8b2j-mw

When you post links to the forum please make them clickable by using the chain links icon on the toolbar.

Willmer:
I have the Arduino Mega 2560 R3 and version 1.0.5 on the Arduino program.

That’s a very outdated version. Please install Arduino IDE 1.6.13 from http://www.arduino.cc/en/Main/Software and try again.

Sorry, first time here and I did this post on my mobile so I had the picture on the phone. And I couldn't copy the direkt link, sorry about that.

The reason I have the old version is that I had a other problem that was fix by getting a older version, but I can try to update. Maby there was something that went wrong in the installation.

If you use the "Windows ZIP file for non admin install" download you can have 1.6.13 and 1.0.5 installed at the same time so if you have a sketch that requires the old version you can always use that IDE. In general I'd say it's best to use the recent version whenever possible since you may encounter bugs or incompatibilities with the old version and there have been some really useful features added since 1.0.5.